Bug 678410 - name service caches names, so id command shows recently deleted users
Summary: name service caches names, so id command shows recently deleted users
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: sssd
Version: 6.1
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Stephen Gallagher
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Depends On: 677768 678412
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-02-17 20:50 UTC by Stephen Gallagher
Modified: 2015-01-04 23:46 UTC (History)
11 users (show)

Fixed In Version: sssd-1.5.1-7.el6
Doc Type: Bug Fix
Doc Text:
Clone Of: 677768
Environment:
Last Closed: 2011-05-19 11:38:43 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0560 normal SHIPPED_LIVE Low: sssd security, bug fix, and enhancement update 2011-05-19 11:38:17 UTC

Description Stephen Gallagher 2011-02-17 20:50:42 UTC
+++ This bug was initially created as a clone of Bug #677768 +++

Description of problem:
If you looked up some info using unix commands, like id or groups and then changed it using freeipa command - later calls to id will show outdated information:

[root@ipaserver ~]# ipa user-add --first=x --last=y myuser5
--------------------
Added user "myuser5"
--------------------
  User login: myuser5
  First name: x
  Last name: y
  Full name: x y
  Display name: x y
  Initials: xy
  Home directory: /home/myuser5
  GECOS field: myuser5
  Login shell: /bin/sh
  Kerberos principal: myuser5@MYFREEIPAHOST.COM
  UID: 334400018
[root@ipaserver ~]# id myuser5
uid=334400018(myuser5) gid=334400018(myuser5) группы=334400018(myuser5),334400001(ipausers)
[root@ipaserver ~]# ipa user-del myuser5
----------------------
Deleted user "myuser5"
----------------------
[root@ipaserver ~]# id myuser5
uid=334400018(myuser5) gid=334400018(myuser5) группы=334400018(myuser5),334400001(ipausers)





Version-Release number of selected component (if applicable):
389-ds-base-1.2.8-0.2.a2.fc15.1.x86_64
freeipa-admintools-2.0.0.rc1-0.fc15.x86_64
sssd-tools-1.5.1-7.fc15.x86_64
freeipa-client-2.0.0.rc1-0.fc15.x86_64
freeipa-server-2.0.0.rc1-0.fc15.x86_64
sssd-1.5.1-7.fc15.x86_64
sssd-debuginfo-1.5.1-7.fc15.x86_64
freeipa-python-2.0.0.rc1-0.fc15.x86_64
freeipa-server-selinux-2.0.0.rc1-0.fc15.x86_64
sssd-client-1.5.1-7.fc15.x86_64


How reproducible:
always

Steps to Reproduce:
1. create user using ipa user-add command, myuser for example
2. type 'id myuser'
3. type ipa user-del 'myuser'
4. type 'id myuser' again - it will show deleted user
  
Actual results:
unix command show some cached info

Expected results:
unix commands always shows up-to-date information about users and groups

--- Additional comment from ssorce@redhat.com on 2011-02-16 08:34:59 EST ---

I was going to reply that as soon as the deleted user attempts to login, it will be refreshed from ldap, found to be deleted and not reported any more.
Except I have just tested this and it doesn't work.

Reassigning to sssd.

Comment 2 Namita Soman 2011-04-07 02:05:10 UTC
Using
sssd-1.5.5-0.20110405T0615z.el6.x86_64
ipa-server-2.0.0-20.el6.x86_64

went through steps listed above -
user-add...id...user-del..id
And I see the user info.

So are the steps different to verify this bug?
I also logged in as this deleted user, and still could use id to get info about this user.

Comment 3 Namita Soman 2011-04-07 02:07:17 UTC
to clarify - i attempted to log in as this deleted user...login failed. And i could still use id on my server machine, and see info about this user

Comment 4 Namita Soman 2011-04-07 02:25:35 UTC
verified it. 

ran id on client and got the info after deleting, but  after attempting to login as this deleted user, it cleared the cache as expected, and didn't return info when using id anymore. Then when  i use id on server now, no info is returned - as expected.

Comment 5 Namita Soman 2011-04-07 15:16:52 UTC
sgallagh stopped by, and I went through the steps. Verified successfully that the machine I ssh to as deleted user, cleared the cache and didn't list the deleted user anymore.

Comment 6 errata-xmlrpc 2011-05-19 11:38:43 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0560.html

Comment 7 errata-xmlrpc 2011-05-19 13:09:36 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0560.html


Note You need to log in before you can comment on or make changes to this bug.